AccountControllerQueryNumberOfAccounts Method |
POST /Account/Count/
Gets the number of accounts that match the filter.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Count")]
public IActionResult QueryNumberOfAccounts(
[FromBodyAttribute] GetAccountsOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Count")>
Public Function QueryNumberOfAccounts (
<FromBodyAttribute> options As GetAccountsOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Count")]
IActionResult^ QueryNumberOfAccounts(
[FromBodyAttribute] GetAccountsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Count")>]
member QueryNumberOfAccounts :
[<FromBodyAttribute>] options : GetAccountsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetAccountsOptions
An object that carries all needed information about the accounts that need to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultAn
Int32 containing the number of accounts that match the criteria, or a status code indicating the problem.
See Also